Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client
Class GuiModList

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              cpw.mods.fml.client.GuiModList

    public class GuiModList

extends GuiScreen

Author:
  cpw

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiModList(GuiScreen mainMenu)`

Method Summary
`int` | `drawLine(String line, int offset, int shifty)`
`void` | `drawScreen(int p_571_1_, int p_571_2_, float p_571_3_)` Draws the screen and all the components in it.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`boolean` | `modIndexSelected(int var1)`
`void` | `selectModIndex(int var1)`

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiModList

    public GuiModList(GuiScreen mainMenu)

Parameters:
  `mainMenu` -

Method Detail

### initGui

    public void initGui()

  Description copied from class: `GuiScreen`
  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### drawLine

    public int drawLine(String line,
                        int offset,
                        int shifty)

### drawScreen

    public void drawScreen(int p_571_1_,
                           int p_571_2_,
                           float p_571_3_)

  Description copied from class: `GuiScreen`
  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

### selectModIndex

    public void selectModIndex(int var1)

  Parameters:
    `var1` -

### modIndexSelected

    public boolean modIndexSelected(int var1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD